/*  irq-map.h
 *
 * $Id$
 */

#ifndef _IRQ_MAP_H_
#define _IRQ_MAP_H_

#include "cold.h"		/* gets memory map... */

#define UART1_IRQ_IL	1
#define UART1_IRQ_VEC	64
#define UART1_IRQ_IP	1

#define UART2_IRQ_IL	1
#define UART2_IRQ_VEC	(UART1_IRQ_VEC+1)
#define UART2_IRQ_IP	2

#define TIMER1_IRQ_IL	6
#define TIMER1_IRQ_VEC	(24+TIMER1_IRQ_IL)
#define TIMER1_IRQ_IP	0

#define MBUS_IRQ_IL	1
#define MBUS_IRQ_VEC	(24+MBUS_IRQ_IL)
#define MBUS_IRQ_IP	0

#define MACEINT_IRQ_IL	4
#define MACEINT_IRQ_VEC (24+MACEINT_IRQ_IL)
#define MACEINT_IRQ_IP	0
#define MACEINT_IRQ_ICR	icr4

#define MACERCV_IRQ_IL	2
#define MACERCV_IRQ_VEC (24+MACERCV_IRQ_IL)
#define MACERCV_IRQ_IP	0
#define MACERCV_IRQ_ICR	icr2

#define IRQ_ENABLE_REG(N) (IRQ1_ENABLE_REG+\
			   ((N)-1)*(IRQ2_ENABLE_REG-IRQ1_ENABLE_REG))


#endif /* _COLD_H_ */
